Bug#910079: apt: fails to “download” local files saying it lacks permissions despite having them

classic Classic list List threaded Threaded
6 messages Options
Reply | Threaded
Open this post in threaded view
|

Bug#910079: apt: fails to “download” local files saying it lacks permissions despite having them

Thorsten Glaser
Package: apt
Version: 1.7.0~rc2
Severity: normal

[…]
Fetched 72.8 MB in 20s (3591 kB/s)
Reading package lists... Done
N: Download is performed unsandboxed as root as file '/home/tglase/Projekte/DebTarent/dists/sid/InRelease' couldn't be accessed by user '_apt'. - pkgAcquire::Run (13: Permission denied)
E: Failed to fetch file:/home/tglase/Projekte/DebTarent/dists/sid/wtf/binary-amd64/Packages.gz  Could not open file /home/tglase/Projekte/DebTarent/dists/sid/wtf/binary-amd64/Packages - open (13: Permission denied)
E: Failed to fetch file:/home/tglase/Projekte/DebTarent/dists/sid/wtf/binary-all/Packages.gz  Could not open file /home/tglase/Projekte/DebTarent/dists/sid/wtf/binary-all/Packages - open (13: Permission denied)
E: Failed to fetch file:/home/tglase/Projekte/DebTarent/dists/sid/wtf/binary-x32/Packages.gz  Could not open file /home/tglase/Projekte/DebTarent/dists/sid/wtf/binary-x32/Packages - open (13: Permission denied)
E: Failed to fetch file:/home/tglase/Projekte/DebTarent/dists/sid/wtf/binary-i386/Packages.gz  Could not open file /home/tglase/Projekte/DebTarent/dists/sid/wtf/binary-i386/Packages - open (13: Permission denied)
E: Some index files failed to download. They have been ignored, or old ones used instead.

$? = 100


I even did this in order to try to fix it:

tglase@tglase:~ $ id _apt
uid=118(_apt) gid=65534(nogroup) groups=65534(nogroup),141(tglase)

It works, too:

tglase@tglase:~ $ sudo -u _apt cat /home/tglase/Projekte/DebTarent/dists/sid/InRelease
-----BEGIN PGP SIGNED MESSAGE-----
[…]

Yet, apt still complains. This is a regression (it used to work).


-- Package-specific info:

-- apt-config dump --

APT "";
APT::Architecture "x32";
APT::Build-Essential "";
APT::Build-Essential:: "build-essential";
APT::Install-Recommends "0";
APT::Install-Suggests "0";
APT::Sandbox "";
APT::Sandbox::User "_apt";
APT::Authentication "";
APT::Authentication::TrustCDROM "true";
APT::NeverAutoRemove "";
APT::NeverAutoRemove:: "^firmware-linux.*";
APT::NeverAutoRemove:: "^linux-firmware$";
APT::NeverAutoRemove:: "^linux-image-4\.17\.0-1-amd64$";
APT::NeverAutoRemove:: "^linux-image-4\.17\.0-3-amd64$";
APT::NeverAutoRemove:: "^linux-image-4\.18\.0-1-amd64$";
APT::NeverAutoRemove:: "^linux-headers-4\.17\.0-1-amd64$";
APT::NeverAutoRemove:: "^linux-headers-4\.17\.0-3-amd64$";
APT::NeverAutoRemove:: "^linux-headers-4\.18\.0-1-amd64$";
APT::NeverAutoRemove:: "^linux-image-extra-4\.17\.0-1-amd64$";
APT::NeverAutoRemove:: "^linux-image-extra-4\.17\.0-3-amd64$";
APT::NeverAutoRemove:: "^linux-image-extra-4\.18\.0-1-amd64$";
APT::NeverAutoRemove:: "^linux-modules-4\.17\.0-1-amd64$";
APT::NeverAutoRemove:: "^linux-modules-4\.17\.0-3-amd64$";
APT::NeverAutoRemove:: "^linux-modules-4\.18\.0-1-amd64$";
APT::NeverAutoRemove:: "^linux-modules-extra-4\.17\.0-1-amd64$";
APT::NeverAutoRemove:: "^linux-modules-extra-4\.17\.0-3-amd64$";
APT::NeverAutoRemove:: "^linux-modules-extra-4\.18\.0-1-amd64$";
APT::NeverAutoRemove:: "^linux-signed-image-4\.17\.0-1-amd64$";
APT::NeverAutoRemove:: "^linux-signed-image-4\.17\.0-3-amd64$";
APT::NeverAutoRemove:: "^linux-signed-image-4\.18\.0-1-amd64$";
APT::NeverAutoRemove:: "^kfreebsd-image-4\.17\.0-1-amd64$";
APT::NeverAutoRemove:: "^kfreebsd-image-4\.17\.0-3-amd64$";
APT::NeverAutoRemove:: "^kfreebsd-image-4\.18\.0-1-amd64$";
APT::NeverAutoRemove:: "^kfreebsd-headers-4\.17\.0-1-amd64$";
APT::NeverAutoRemove:: "^kfreebsd-headers-4\.17\.0-3-amd64$";
APT::NeverAutoRemove:: "^kfreebsd-headers-4\.18\.0-1-amd64$";
APT::NeverAutoRemove:: "^gnumach-image-4\.17\.0-1-amd64$";
APT::NeverAutoRemove:: "^gnumach-image-4\.17\.0-3-amd64$";
APT::NeverAutoRemove:: "^gnumach-image-4\.18\.0-1-amd64$";
APT::NeverAutoRemove:: "^.*-modules-4\.17\.0-1-amd64$";
APT::NeverAutoRemove:: "^.*-modules-4\.17\.0-3-amd64$";
APT::NeverAutoRemove:: "^.*-modules-4\.18\.0-1-amd64$";
APT::NeverAutoRemove:: "^.*-kernel-4\.17\.0-1-amd64$";
APT::NeverAutoRemove:: "^.*-kernel-4\.17\.0-3-amd64$";
APT::NeverAutoRemove:: "^.*-kernel-4\.18\.0-1-amd64$";
APT::NeverAutoRemove:: "^linux-backports-modules-.*-4\.17\.0-1-amd64$";
APT::NeverAutoRemove:: "^linux-backports-modules-.*-4\.17\.0-3-amd64$";
APT::NeverAutoRemove:: "^linux-backports-modules-.*-4\.18\.0-1-amd64$";
APT::NeverAutoRemove:: "^linux-modules-.*-4\.17\.0-1-amd64$";
APT::NeverAutoRemove:: "^linux-modules-.*-4\.17\.0-3-amd64$";
APT::NeverAutoRemove:: "^linux-modules-.*-4\.18\.0-1-amd64$";
APT::NeverAutoRemove:: "^linux-tools-4\.17\.0-1-amd64$";
APT::NeverAutoRemove:: "^linux-tools-4\.17\.0-3-amd64$";
APT::NeverAutoRemove:: "^linux-tools-4\.18\.0-1-amd64$";
APT::NeverAutoRemove:: "^linux-cloud-tools-4\.17\.0-1-amd64$";
APT::NeverAutoRemove:: "^linux-cloud-tools-4\.17\.0-3-amd64$";
APT::NeverAutoRemove:: "^linux-cloud-tools-4\.18\.0-1-amd64$";
APT::NeverAutoRemove:: "^postgresql-";
APT::VersionedKernelPackages "";
APT::VersionedKernelPackages:: "linux-image";
APT::VersionedKernelPackages:: "linux-headers";
APT::VersionedKernelPackages:: "linux-image-extra";
APT::VersionedKernelPackages:: "linux-modules";
APT::VersionedKernelPackages:: "linux-modules-extra";
APT::VersionedKernelPackages:: "linux-signed-image";
APT::VersionedKernelPackages:: "kfreebsd-image";
APT::VersionedKernelPackages:: "kfreebsd-headers";
APT::VersionedKernelPackages:: "gnumach-image";
APT::VersionedKernelPackages:: ".*-modules";
APT::VersionedKernelPackages:: ".*-kernel";
APT::VersionedKernelPackages:: "linux-backports-modules-.*";
APT::VersionedKernelPackages:: "linux-modules-.*";
APT::VersionedKernelPackages:: "linux-tools";
APT::VersionedKernelPackages:: "linux-cloud-tools";
APT::Never-MarkAuto-Sections "";
APT::Never-MarkAuto-Sections:: "metapackages";
APT::Never-MarkAuto-Sections:: "contrib/metapackages";
APT::Never-MarkAuto-Sections:: "non-free/metapackages";
APT::Never-MarkAuto-Sections:: "restricted/metapackages";
APT::Never-MarkAuto-Sections:: "universe/metapackages";
APT::Never-MarkAuto-Sections:: "multiverse/metapackages";
APT::Move-Autobit-Sections "";
APT::Move-Autobit-Sections:: "oldlibs";
APT::Move-Autobit-Sections:: "contrib/oldlibs";
APT::Move-Autobit-Sections:: "non-free/oldlibs";
APT::Move-Autobit-Sections:: "restricted/oldlibs";
APT::Move-Autobit-Sections:: "universe/oldlibs";
APT::Move-Autobit-Sections:: "multiverse/oldlibs";
APT::Get "";
APT::Get::AllowUnauthenticated "false";
APT::Architectures "";
APT::Architectures:: "x32";
APT::Architectures:: "i386";
APT::Architectures:: "amd64";
APT::Compressor "";
APT::Compressor::. "";
APT::Compressor::.::Name ".";
APT::Compressor::.::Extension "";
APT::Compressor::.::Binary "";
APT::Compressor::.::Cost "0";
APT::Compressor::zstd "";
APT::Compressor::zstd::Name "zstd";
APT::Compressor::zstd::Extension ".zst";
APT::Compressor::zstd::Binary "false";
APT::Compressor::zstd::Cost "60";
APT::Compressor::lz4 "";
APT::Compressor::lz4::Name "lz4";
APT::Compressor::lz4::Extension ".lz4";
APT::Compressor::lz4::Binary "lz4";
APT::Compressor::lz4::Cost "50";
APT::Compressor::lz4::CompressArg "";
APT::Compressor::lz4::CompressArg:: "-1";
APT::Compressor::lz4::UncompressArg "";
APT::Compressor::lz4::UncompressArg:: "-d";
APT::Compressor::gzip "";
APT::Compressor::gzip::Name "gzip";
APT::Compressor::gzip::Extension ".gz";
APT::Compressor::gzip::Binary "gzip";
APT::Compressor::gzip::Cost "100";
APT::Compressor::gzip::CompressArg "";
APT::Compressor::gzip::CompressArg:: "-6n";
APT::Compressor::gzip::UncompressArg "";
APT::Compressor::gzip::UncompressArg:: "-d";
APT::Compressor::xz "";
APT::Compressor::xz::Name "xz";
APT::Compressor::xz::Extension ".xz";
APT::Compressor::xz::Binary "xz";
APT::Compressor::xz::Cost "200";
APT::Compressor::xz::CompressArg "";
APT::Compressor::xz::CompressArg:: "-6";
APT::Compressor::xz::UncompressArg "";
APT::Compressor::xz::UncompressArg:: "-d";
APT::Compressor::bzip2 "";
APT::Compressor::bzip2::Name "bzip2";
APT::Compressor::bzip2::Extension ".bz2";
APT::Compressor::bzip2::Binary "bzip2";
APT::Compressor::bzip2::Cost "300";
APT::Compressor::bzip2::CompressArg "";
APT::Compressor::bzip2::CompressArg:: "-6";
APT::Compressor::bzip2::UncompressArg "";
APT::Compressor::bzip2::UncompressArg:: "-d";
APT::Compressor::lzma "";
APT::Compressor::lzma::Name "lzma";
APT::Compressor::lzma::Extension ".lzma";
APT::Compressor::lzma::Binary "xz";
APT::Compressor::lzma::Cost "400";
APT::Compressor::lzma::CompressArg "";
APT::Compressor::lzma::CompressArg:: "--format=lzma";
APT::Compressor::lzma::CompressArg:: "-6";
APT::Compressor::lzma::UncompressArg "";
APT::Compressor::lzma::UncompressArg:: "--format=lzma";
APT::Compressor::lzma::UncompressArg:: "-d";
Dir "/";
Dir::State "var/lib/apt";
Dir::State::lists "lists/";
Dir::State::cdroms "cdroms.list";
Dir::State::extended_states "extended_states";
Dir::State::status "/var/lib/dpkg/status";
Dir::Cache "var/cache/apt";
Dir::Cache::archives "archives/";
Dir::Cache::srcpkgcache "srcpkgcache.bin";
Dir::Cache::pkgcache "pkgcache.bin";
Dir::Etc "etc/apt";
Dir::Etc::sourcelist "sources.list";
Dir::Etc::sourceparts "sources.list.d";
Dir::Etc::main "apt.conf";
Dir::Etc::netrc "auth.conf";
Dir::Etc::parts "apt.conf.d";
Dir::Etc::preferences "preferences";
Dir::Etc::preferencesparts "preferences.d";
Dir::Etc::trusted "trusted.gpg";
Dir::Etc::trustedparts "trusted.gpg.d";
Dir::Etc::apt-file-main "apt-file.conf";
Dir::Bin "";
Dir::Bin::methods "/usr/lib/apt/methods";
Dir::Bin::solvers "";
Dir::Bin::solvers:: "/usr/lib/apt/solvers";
Dir::Bin::planners "";
Dir::Bin::planners:: "/usr/lib/apt/planners";
Dir::Bin::dpkg "/usr/bin/dpkg";
Dir::Bin::gzip "/bin/gzip";
Dir::Bin::bzip2 "/bin/bzip2";
Dir::Bin::xz "/usr/bin/xz";
Dir::Bin::lz4 "/usr/bin/lz4";
Dir::Bin::zstd "/usr/bin/zstd";
Dir::Bin::lzma "/usr/bin/xz";
Dir::Media "";
Dir::Media::MountPath "/media/apt";
Dir::Log "var/log/apt";
Dir::Log::Terminal "term.log";
Dir::Log::History "history.log";
Dir::Log::Planner "eipp.log.xz";
Dir::Ignore-Files-Silently "";
Dir::Ignore-Files-Silently:: "~$";
Dir::Ignore-Files-Silently:: "\.disabled$";
Dir::Ignore-Files-Silently:: "\.bak$";
Dir::Ignore-Files-Silently:: "\.dpkg-[a-z]+$";
Dir::Ignore-Files-Silently:: "\.ucf-[a-z]+$";
Dir::Ignore-Files-Silently:: "\.save$";
Dir::Ignore-Files-Silently:: "\.orig$";
Dir::Ignore-Files-Silently:: "\.distUpgrade$";
Acquire "";
Acquire::AllowInsecureRepositories "0";
Acquire::AllowWeakRepositories "0";
Acquire::AllowDowngradeToInsecureRepositories "0";
Acquire::cdrom "";
Acquire::cdrom::mount "/media/cdrom/";
Acquire::IndexTargets "";
Acquire::IndexTargets::deb "";
Acquire::IndexTargets::deb::Packages "";
Acquire::IndexTargets::deb::Packages::MetaKey "$(COMPONENT)/binary-$(ARCHITECTURE)/Packages";
Acquire::IndexTargets::deb::Packages::flatMetaKey "Packages";
Acquire::IndexTargets::deb::Packages::ShortDescription "Packages";
Acquire::IndexTargets::deb::Packages::Description "$(RELEASE)/$(COMPONENT) $(ARCHITECTURE) Packages";
Acquire::IndexTargets::deb::Packages::flatDescription "$(RELEASE) Packages";
Acquire::IndexTargets::deb::Packages::Optional "0";
Acquire::IndexTargets::deb::Translations "";
Acquire::IndexTargets::deb::Translations::MetaKey "$(COMPONENT)/i18n/Translation-$(LANGUAGE)";
Acquire::IndexTargets::deb::Translations::flatMetaKey "$(LANGUAGE)";
Acquire::IndexTargets::deb::Translations::ShortDescription "Translation-$(LANGUAGE)";
Acquire::IndexTargets::deb::Translations::Description "$(RELEASE)/$(COMPONENT) Translation-$(LANGUAGE)";
Acquire::IndexTargets::deb::Translations::flatDescription "$(RELEASE) Translation-$(LANGUAGE)";
Acquire::IndexTargets::deb::Contents-deb "";
Acquire::IndexTargets::deb::Contents-deb::MetaKey "$(COMPONENT)/Contents-i386";
Acquire::IndexTargets::deb::Contents-deb::ShortDescription "Contents-i386";
Acquire::IndexTargets::deb::Contents-deb::Description "$(RELEASE)/$(COMPONENT) i386 Contents (deb)";
Acquire::IndexTargets::deb::Contents-deb::flatMetaKey "Contents-i386";
Acquire::IndexTargets::deb::Contents-deb::flatDescription "$(RELEASE) Contents (deb)";
Acquire::IndexTargets::deb::Contents-deb::PDiffs "true";
Acquire::IndexTargets::deb::Contents-deb::KeepCompressed "true";
Acquire::IndexTargets::deb::Contents-deb::DefaultEnabled "false";
Acquire::IndexTargets::deb::Contents-udeb "";
Acquire::IndexTargets::deb::Contents-udeb::MetaKey "$(COMPONENT)/Contents-udeb-i386";
Acquire::IndexTargets::deb::Contents-udeb::ShortDescription "Contents-udeb-i386";
Acquire::IndexTargets::deb::Contents-udeb::Description "$(RELEASE)/$(COMPONENT) i386 Contents (udeb)";
Acquire::IndexTargets::deb::Contents-udeb::flatMetaKey "Contents-udeb-i386";
Acquire::IndexTargets::deb::Contents-udeb::flatDescription "$(RELEASE) Contents (udeb)";
Acquire::IndexTargets::deb::Contents-udeb::KeepCompressed "true";
Acquire::IndexTargets::deb::Contents-udeb::PDiffs "true";
Acquire::IndexTargets::deb::Contents-udeb::DefaultEnabled "false";
Acquire::IndexTargets::deb::Contents-deb-legacy "";
Acquire::IndexTargets::deb::Contents-deb-legacy::MetaKey "Contents-i386";
Acquire::IndexTargets::deb::Contents-deb-legacy::ShortDescription "Contents-i386";
Acquire::IndexTargets::deb::Contents-deb-legacy::Description "$(RELEASE) i386 Contents (deb)";
Acquire::IndexTargets::deb::Contents-deb-legacy::PDiffs "true";
Acquire::IndexTargets::deb::Contents-deb-legacy::KeepCompressed "true";
Acquire::IndexTargets::deb::Contents-deb-legacy::Fallback-Of "Contents-deb";
Acquire::IndexTargets::deb::Contents-deb-legacy::Identifier "Contents-deb";
Acquire::IndexTargets::deb-src "";
Acquire::IndexTargets::deb-src::Sources "";
Acquire::IndexTargets::deb-src::Sources::MetaKey "$(COMPONENT)/source/Sources";
Acquire::IndexTargets::deb-src::Sources::flatMetaKey "Sources";
Acquire::IndexTargets::deb-src::Sources::ShortDescription "Sources";
Acquire::IndexTargets::deb-src::Sources::Description "$(RELEASE)/$(COMPONENT) Sources";
Acquire::IndexTargets::deb-src::Sources::flatDescription "$(RELEASE) Sources";
Acquire::IndexTargets::deb-src::Sources::Optional "0";
Acquire::IndexTargets::deb-src::Contents-dsc "";
Acquire::IndexTargets::deb-src::Contents-dsc::MetaKey "$(COMPONENT)/Contents-source";
Acquire::IndexTargets::deb-src::Contents-dsc::ShortDescription "Contents-source";
Acquire::IndexTargets::deb-src::Contents-dsc::Description "$(RELEASE)/$(COMPONENT) source Contents (dsc)";
Acquire::IndexTargets::deb-src::Contents-dsc::flatMetaKey "Contents-source";
Acquire::IndexTargets::deb-src::Contents-dsc::flatDescription "$(RELEASE) Contents (dsc)";
Acquire::IndexTargets::deb-src::Contents-dsc::PDiffs "true";
Acquire::IndexTargets::deb-src::Contents-dsc::KeepCompressed "true";
Acquire::IndexTargets::deb-src::Contents-dsc::DefaultEnabled "false";
Acquire::Changelogs "";
Acquire::Changelogs::URI "";
Acquire::Changelogs::URI::Origin "";
Acquire::Changelogs::URI::Origin::Debian "http://metadata.ftp-master.debian.org/changelogs/@CHANGEPATH@_changelog";
Acquire::Changelogs::URI::Origin::Tanglu "http://metadata.tanglu.org/changelogs/@CHANGEPATH@_changelog";
Acquire::Changelogs::URI::Origin::Ubuntu "https://changelogs.ubuntu.com/changelogs/pool/@CHANGEPATH@/changelog";
Acquire::Changelogs::URI::Origin::Ultimedia "http://packages.ultimediaos.com/changelogs/pool/@CHANGEPATH@/changelog.txt";
Acquire::Changelogs::AlwaysOnline "";
Acquire::Changelogs::AlwaysOnline::Origin "";
Acquire::Changelogs::AlwaysOnline::Origin::Ubuntu "1";
Acquire::CompressionTypes "";
Acquire::CompressionTypes::Order "";
Acquire::CompressionTypes::Order:: "gz";
Acquire::CompressionTypes::Order:: "gz";
Acquire::CompressionTypes::Order:: "xz";
Acquire::CompressionTypes::Order:: "gz";
Acquire::CompressionTypes::xz "xz";
Acquire::CompressionTypes::bz2 "bzip2";
Acquire::CompressionTypes::lzma "lzma";
Acquire::CompressionTypes::gz "gzip";
Acquire::CompressionTypes::lz4 "lz4";
Acquire::CompressionTypes::zst "zstd";
Acquire::Languages "";
Acquire::Languages:: "en";
Acquire::Languages:: "none";
Acquire::PDiffs "true";
Acquire::ForceIPv4 "true";
DPkg "";
DPkg::Pre-Invoke "";
DPkg::Pre-Invoke:: "if [ -x /usr/bin/etckeeper ]; then etckeeper pre-install; fi";
DPkg::Pre-Invoke:: "echo running >/dev/shm/agu";
DPkg::Post-Invoke "";
DPkg::Post-Invoke:: "if [ -x /usr/bin/etckeeper ]; then etckeeper post-install; fi";
DPkg::Post-Invoke:: "adequate --help >/dev/null 2>&1 || exit 0; exec adequate --user nobody --pending";
DPkg::Post-Invoke:: "rm -f /dev/shm/agu";
DPkg::Pre-Install-Pkgs "";
DPkg::Pre-Install-Pkgs:: "adequate --help >/dev/null 2>&1 || exit 0; exec adequate --user nobody --apt-preinst";
DPkg::Pre-Install-Pkgs:: "/usr/bin/apt-listchanges --apt || test $? -lt 10";
DPkg::Pre-Install-Pkgs:: "/usr/sbin/dpkg-preconfigure --apt || true";
DPkg::Tools "";
DPkg::Tools::Options "";
DPkg::Tools::Options::adequate "";
DPkg::Tools::Options::adequate::Version "2";
DPkg::Tools::Options::/usr/bin/apt-listchanges "";
DPkg::Tools::Options::/usr/bin/apt-listchanges::Version "2";
DPkg::Tools::Options::/usr/bin/apt-listchanges::InfoFD "20";
DPkg::Progress-Fancy "false";
RPM "";
RPM::Pre-Invoke "";
RPM::Pre-Invoke:: "if [ -x /usr/bin/etckeeper ]; then etckeeper pre-install; fi";
RPM::Post-Invoke "";
RPM::Post-Invoke:: "if [ -x /usr/bin/etckeeper ]; then etckeeper post-install; fi";
Adequate "";
Adequate::Enabled "true";
apt-file "";
apt-file::Index-Names "deb";
debug "";
debug::pkgproblemresolver "true";
Binary "apt-config";
Binary::apt "";
Binary::apt::APT "";
Binary::apt::APT::Color "1";
Binary::apt::APT::Cache "";
Binary::apt::APT::Cache::Show "";
Binary::apt::APT::Cache::Show::Version "2";
Binary::apt::APT::Cache::AllVersions "0";
Binary::apt::APT::Cache::ShowVirtuals "1";
Binary::apt::APT::Cache::Search "";
Binary::apt::APT::Cache::Search::Version "2";
Binary::apt::APT::Cache::ShowDependencyType "1";
Binary::apt::APT::Cache::ShowVersion "1";
Binary::apt::APT::Get "";
Binary::apt::APT::Get::Upgrade-Allow-New "1";
Binary::apt::APT::Get::Update "";
Binary::apt::APT::Get::Update::InteractiveReleaseInfoChanges "1";
Binary::apt::APT::Cmd "";
Binary::apt::APT::Cmd::Show-Update-Stats "1";
Binary::apt::APT::Keep-Downloaded-Packages "0";
Binary::apt::DPkg "";
Binary::apt::DPkg::Progress-Fancy "1";
CommandLine "";
CommandLine::AsString "apt-config dump";

-- /etc/apt/preferences --

Package: *
Pin: release n=experimental
Pin-Priority: 100


-- /etc/apt/preferences.d/dash-mksh.pref --

Package: dash
Pin: version *
Pin-Priority: -1

-- /etc/apt/sources.list --


-- /etc/apt/sources.list.d/local.list --

# /etc/apt/sources.list is empty, this file contains all.

deb [arch=i386,amd64] http://mirror.lan.tarent.de/debian sid main non-free contrib
deb [arch=i386,amd64] http://httpredir.debian.org/debian sid main non-free contrib
deb-src http://ftp.de.debian.org/debian sid main non-free contrib
deb [arch=i386] http://mirror.lan.tarent.de/debian experimental main

deb [arch=x32] http://ftp.ports.debian.org/debian-ports unstable main
deb [arch=x32] http://ftp.ports.debian.org/debian-ports unreleased main
#deb [arch=x32] http://ftp.ports.debian.org/debian-ports experimental main

deb [trusted=yes] file:///var/cache/pbuilder/result ./

deb file:///home/tglase/Projekte/DebTarent sid tarent wtf
deb http://debs.tarent.de/ sid tarent wtf

deb https://www.mirbsd.org/~tg/Debs/ sid wtf
deb-src https://www.mirbsd.org/~tg/Debs/ sid wtf

#deb-src http://old-releases.ubuntu.com/ubuntu hardy-security main restricted universe multiverse

deb http://bsibian.tarent.de/ stabil simkolab
deb http://bsibian.tarent.de/ tests simkolab
deb http://bsibian.tarent.de/ devel simkolab

deb [arch=amd64,i386] http://incoming.debian.org/debian-buildd buildd-unstable main contrib non-free
deb-src http://incoming.debian.org/debian-buildd buildd-unstable main

deb [arch=x32] http://incoming.ports.debian.org/buildd unstable main

deb file:///home/tglase/Projekte/DebTarent indep staging

#deb [arch=all] http://snapshot.debian.org/archive/debian/20131124T215605Z sid main

# libvirt0 1.2.9-8
#deb [arch=x32] http://snapshot.debian.org/archive/debian-ports/20150124T013317Z/ unstable main

-- System Information:
Debian Release: buster/sid
  APT prefers unreleased
  APT policy: (500, 'unreleased'), (500, 'buildd-unstable'), (500, 'unstable'), (100, 'experimental')
Architecture: x32 (x86_64)
Foreign Architectures: i386, amd64

Kernel: Linux 4.17.0-1-amd64 (SMP w/8 CPU cores)
Locale: LANG=C, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8), LANGUAGE=C (charmap=UTF-8)
Shell: /bin/sh linked to /bin/lksh
Init: sysvinit (via /sbin/init)

Versions of packages apt depends on:
ii  adduser                 3.118
ii  debian-archive-keyring  2017.7
ii  gpgv                    2.2.10-1
ii  libapt-pkg5.0           1.7.0~rc2
ii  libc6                   2.27-6
ii  libgcc1                 1:8.2.0-5
ii  libgnutls30             3.5.19-1+b1
ii  libseccomp2             2.3.1-2.1
ii  libstdc++6              8.2.0-5

Versions of packages apt recommends:
ii  ca-bundle [ca-certificates]  20170309tarent1

Versions of packages apt suggests:
pn  apt-doc                      <none>
pn  aptitude | synaptic | wajig  <none>
ii  dpkg-dev                     1.19.1
ii  gnupg                        2.2.10-1
ii  gnupg1                       1.4.23-1
ii  powermgmt-base               1.33

-- no debconf information
Reply | Threaded
Open this post in threaded view
|

Bug#910079: apt: fails to “download” local files saying it lacks permissions despite having them

Thorsten Glaser-6
On Tue, 2 Oct 2018, Thorsten Glaser wrote:

> Yet, apt still complains. This is a regression (it used to work).

Interestingly enough, it works in later apt-get update calls,
but after some time, it fails again.

bye,
//mirabilos
--
tarent solutions GmbH
Rochusstraße 2-4, D-53123 Bonn • http://www.tarent.de/
Tel: +49 228 54881-393 • Fax: +49 228 54881-235
HRB 5168 (AG Bonn) • USt-ID (VAT): DE122264941
Geschäftsführer: Dr. Stefan Barth, Kai Ebenrett, Boris Esser, Alexander Steeg

Reply | Threaded
Open this post in threaded view
|

Bug#910079: apt: fails to “download” local files saying it lacks permissions despite having them

Santiago Vila
In reply to this post by Thorsten Glaser
I've just found this too.

Running as root from directory /root which is 700 by default I get this:

mymachine~# apt-get download base-files
 Get:1 http://deb.debian.org/debian buster/main amd64 base-files amd64 10.1 [69.4 kB]
Fetched 69.4 kB in 0s (0 B/s)  
W: Download is performed unsandboxed as root as file '/root/base-files_10.1_amd64.deb' couldn't be accessed by user '_apt'. - pkgAcquire::Run (13: Permission denied)

I understand that apt-get is trying to do a sandboxed download and then
switches to unsandboxed when it realizes it can't do a sandboxed
download.

The main problem I see here is that the message is too verbose and too
scary for something which is usually harmless. I would prefer to see
something less verbose, for example:

W: Not enough privileges to perform sandboxed download

(Just an idea)

Thanks.

Reply | Threaded
Open this post in threaded view
|

Bug#910079: apt: fails to “download” local files saying it lacks permissions despite having them

Santiago Vila
Hmm, this is probably not the same bug.

What Thorsten reported is a real failure. Mine is just an undesired warning.
(Not sure if they have a common cause)

Thanks.

Reply | Threaded
Open this post in threaded view
|

Bug#910079: Re: apt: fails to “download” local files saying it lacks permissions despite having them

Thorsten Glaser
Santiago Vila dixit:

>What Thorsten reported is a real failure. Mine is just an undesired
>warning. (Not sure if they have a common cause)

Might be. I'm seeing it too. You suggested...

>W: Not enough privileges to perform sandboxed download

... but a per-sources.list-line option to turn off even
that would be good, as in "yes I know, apt, but you'll
have to live with it".

bye,
//mirabilos
--
Stéphane, I actually don’t block Googlemail, they’re just too utterly
stupid to successfully deliver to me (or anyone else using Greylisting
and not whitelisting their ranges). Same for a few other providers such
as Hotmail. Some spammers (Yahoo) I do block.

Reply | Threaded
Open this post in threaded view
|

Bug#910079: Re: apt: fails to “download” local files saying it lacks permissions despite having them

Julian Andres Klode-4
On Wed, May 15, 2019 at 12:10:58PM +0000, Thorsten Glaser wrote:

> Santiago Vila dixit:
>
> >What Thorsten reported is a real failure. Mine is just an undesired
> >warning. (Not sure if they have a common cause)
>
> Might be. I'm seeing it too. You suggested...
>
> >W: Not enough privileges to perform sandboxed download
>
> ... but a per-sources.list-line option to turn off even
> that would be good, as in "yes I know, apt, but you'll
> have to live with it".

I plan to have _apt gone soon for local downloads when opening
the file, restricting it to only run the {de-,}compressor as
_apt; and perform the rest as root (so root actually verifies the
stuff _apt gives it...).

--
debian developer - deb.li/jak | jak-linux.org - free software dev
ubuntu core developer                              i speak de, en